Module | Erubis::ErboutEnhancer
In: | erubis/enhancer.rb

set buffer variable name to ‘_erbout’ as well as ‘_buf‘

this is only for Eruby.

### Methods

add_postamble add_preamble

### Public Instance methods

add_postamble(src)

[Source]

    # File erubis/enhancer.rb, line 260
        def add_postamble(src)
          src << "\n" unless src[-1] == ?\n
          src << "#{@bufvar}.to_s\n"
        end

add_preamble(src)

[Source]

    # File erubis/enhancer.rb, line 256
        def add_preamble(src)
          src << "_erbout = #{@bufvar} = '';"
        end

[Validate]